| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types
qx::QxSqlRelation_ManyToOne< DataType, Owner > Class Template Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxSqlRelation_ManyToOne<DataType, Owner> : manage a relationship many-to-one defined between 2 classes (or between 2 tables in database) More...

`#include <QxSqlRelation_ManyToOne.h>`

Inheritance diagram for qx::QxSqlRelation_ManyToOne< DataType, Owner >:

List of all members.

## Public Member Functions
| QxSqlRelation_ManyToOne (IxDataMember *p)
virtual | ~QxSqlRelation_ManyToOne ()
virtual QString | getDescription () const
virtual QString | getExtraTable () const
virtual QString | createExtraTable () const
virtual bool | getCartesianProduct () const
virtual void | lazyFrom (QxSqlRelationParams &params) const
virtual void | eagerFrom (QxSqlRelationParams &params) const
virtual void | lazyJoin (QxSqlRelationParams &params) const
virtual void | lazyWhere (QxSqlRelationParams &params) const
virtual void | eagerWhere (QxSqlRelationParams &params) const
virtual void | lazyWhereSoftDelete (QxSqlRelationParams &params) const
virtual void | lazyFetch_ResolveInput (QxSqlRelationParams &params) const
virtual void | eagerFetch_ResolveInput (QxSqlRelationParams &params) const
virtual QSqlError | onAfterSave (QxSqlRelationParams &params) const
virtual QSqlError | onBeforeSave (QxSqlRelationParams &params) const
virtual void | lazyUpdate_ResolveInput (QxSqlRelationParams &params) const
virtual QVariant | getIdFromQuery (bool bEager, QxSqlRelationParams &params) const
virtual void | updateOffset (bool bEager, QxSqlRelationParams &params) const
virtual void | createTable (QxSqlRelationParams &params) const
virtual void | lazySelect (QxSqlRelationParams &params) const
virtual void | eagerSelect (QxSqlRelationParams &params) const
virtual void | eagerJoin (QxSqlRelationParams &params) const
virtual void | eagerWhereSoftDelete (QxSqlRelationParams &params) const
virtual void | lazyFetch_ResolveOutput (QxSqlRelationParams &params) const
virtual void * | eagerFetch_ResolveOutput (QxSqlRelationParams &params) const
virtual void | lazyInsert (QxSqlRelationParams &params) const
virtual void | lazyInsert_Values (QxSqlRelationParams &params) const
virtual void | lazyUpdate (QxSqlRelationParams &params) const
virtual void | lazyInsert_ResolveInput (QxSqlRelationParams &params) const
## Private Types
typedef QxSqlRelation < DataType, Owner > ::type_owner | type_owner
typedef QxSqlRelation < DataType, Owner >::type_data | type_data

## Detailed Description

### template<class DataType, class Owner>
class qx::QxSqlRelation_ManyToOne< DataType, Owner >

qx::QxSqlRelation_ManyToOne<DataType, Owner> : manage a relationship many-to-one defined between 2 classes (or between 2 tables in database)

Definition at line 55 of file QxSqlRelation_ManyToOne.h.

## Member Typedef Documentation

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_data qx::QxSqlRelation_ManyToOne< DataType, Owner >::type_data`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 61 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

typedef QxSqlRelation<DataType, Owner>::type_owner qx::QxSqlRelation_ManyToOne< DataType, Owner >::type_owner`[private]`

Reimplemented from qx::QxSqlRelation< DataType, Owner >.

Definition at line 60 of file QxSqlRelation_ManyToOne.h.

## Constructor & Destructor Documentation

template<class DataType , class Owner >

qx::QxSqlRelation_ManyToOne< DataType, Owner >::QxSqlRelation_ManyToOne | ( | IxDataMember * | p | ) | `[inline]`

Definition at line 65 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual qx::QxSqlRelation_ManyToOne< DataType, Owner >::~QxSqlRelation_ManyToOne | ( |  | ) | `[inline, virtual]`

Definition at line 66 of file QxSqlRelation_ManyToOne.h.

## Member Function Documentation

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_ManyToOne< DataType, Owner >::createExtraTable | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 70 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::createTable | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 97 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 79 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void* qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 125 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerFrom | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 73 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerJoin | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 106 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerSelect | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 103 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerWhere | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 76 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::eagerWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 109 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual bool qx::QxSqlRelation_ManyToOne< DataType, Owner >::getCartesianProduct | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 71 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_ManyToOne< DataType, Owner >::getDescription | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 68 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual QString qx::QxSqlRelation_ManyToOne< DataType, Owner >::getExtraTable | ( |  | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 69 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual QVariant qx::QxSqlRelation_ManyToOne< DataType, Owner >::getIdFromQuery | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 91 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 78 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 112 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyFrom | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 72 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyInsert | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 164 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyInsert_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 173 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyInsert_Values | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 167 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyJoin | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 74 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazySelect | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 100 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyUpdate | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 170 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyUpdate_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 88 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyWhere | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 75 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::lazyWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 77 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual QSqlError qx::QxSqlRelation_ManyToOne< DataType, Owner >::onAfterSave | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 80 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual QSqlError qx::QxSqlRelation_ManyToOne< DataType, Owner >::onBeforeSave | ( | QxSqlRelationParams & | params | ) | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 82 of file QxSqlRelation_ManyToOne.h.

template<class DataType , class Owner >

virtual void qx::QxSqlRelation_ManyToOne< DataType, Owner >::updateOffset | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[inline, virtual]`

Implements qx::IxSqlRelation.

Definition at line 94 of file QxSqlRelation_ManyToOne.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlRelation_ManyToOne.h